Home
last modified time | relevance | path

Searched refs:GCE2d_MakeSegment (Results 1 – 23 of 23) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/GCE2d/
H A DGCE2d_MakeSegment.cxx28 GCE2d_MakeSegment::GCE2d_MakeSegment(const gp_Pnt2d& P1 , in GCE2d_MakeSegment() function in GCE2d_MakeSegment
42 GCE2d_MakeSegment::GCE2d_MakeSegment(const gp_Pnt2d& P1 , in GCE2d_MakeSegment() function in GCE2d_MakeSegment
53 GCE2d_MakeSegment::GCE2d_MakeSegment(const gp_Lin2d& Line , in GCE2d_MakeSegment() function in GCE2d_MakeSegment
63 GCE2d_MakeSegment::GCE2d_MakeSegment(const gp_Lin2d& Line , in GCE2d_MakeSegment() function in GCE2d_MakeSegment
74 GCE2d_MakeSegment::GCE2d_MakeSegment(const gp_Lin2d& Line , in GCE2d_MakeSegment() function in GCE2d_MakeSegment
83 const Handle(Geom2d_TrimmedCurve)& GCE2d_MakeSegment::Value() const in Handle()
H A DGCE2d_MakeSegment.hxx40 class GCE2d_MakeSegment : public GCE2d_Root class
49 Standard_EXPORT GCE2d_MakeSegment(const gp_Pnt2d& P1, const gp_Pnt2d& P2);
55 Standard_EXPORT GCE2d_MakeSegment(const gp_Pnt2d& P1, const gp_Dir2d& V, const gp_Pnt2d& P2);
60 …Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const Standard_Real U1, const Standard_Rea…
65 …Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& Point, const Standard_Real…
77 Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& P1, const gp_Pnt2d& P2);
H A DFILES25 GCE2d_MakeSegment.cxx
26 GCE2d_MakeSegment.hxx
/dports/cad/opencascade/opencascade-7.6.0/inc/
H A DGCE2d_MakeSegment.hxx40 class GCE2d_MakeSegment : public GCE2d_Root class
49 Standard_EXPORT GCE2d_MakeSegment(const gp_Pnt2d& P1, const gp_Pnt2d& P2);
55 Standard_EXPORT GCE2d_MakeSegment(const gp_Pnt2d& P1, const gp_Dir2d& V, const gp_Pnt2d& P2);
60 …Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const Standard_Real U1, const Standard_Rea…
65 …Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& Point, const Standard_Real…
77 Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& P1, const gp_Pnt2d& P2);
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/
H A DGCE2d_MakeSegment.hxx41 class GCE2d_MakeSegment : public GCE2d_Root class
50 Standard_EXPORT GCE2d_MakeSegment(const gp_Pnt2d& P1, const gp_Pnt2d& P2);
56 Standard_EXPORT GCE2d_MakeSegment(const gp_Pnt2d& P1, const gp_Dir2d& V, const gp_Pnt2d& P2);
61 …Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const Standard_Real U1, const Standard_Rea…
66 …Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& Point, const Standard_Real…
78 Standard_EXPORT GCE2d_MakeSegment(const gp_Lin2d& Line, const gp_Pnt2d& P1, const gp_Pnt2d& P2);
/dports/cad/opencascade/opencascade-7.6.0/doc/refman/html/
H A Dclass_g_c_e2d___make_segment__inherit__graph.map1 <map id="GCE2d_MakeSegment" name="GCE2d_MakeSegment">
/dports/cad/opencascade/opencascade-7.6.0/samples/mfc/standard/01_Geometry/src/
H A DGeomSources.cpp1776 GCE2d_MakeSegment(P1,V1,P2); in gpTest25()
1868 Handle(Geom2d_TrimmedCurve) TC1 = GCE2d_MakeSegment(P1,V1,P2); in gpTest26()
1873 Handle(Geom2d_TrimmedCurve) TC2 = GCE2d_MakeSegment(P3,V2,P2); in gpTest26()
1980 GCE2d_MakeSegment(P1x,P2x); in gpTest26()
2102 Handle(Geom2d_TrimmedCurve) aLine = GCE2d_MakeSegment(L,-3,8); in gpTest28()
2149 Handle(Geom2d_TrimmedCurve) aLine = GCE2d_MakeSegment(L,-8,8); in gpTest29()
2227 Handle(Geom2d_TrimmedCurve) aLine = GCE2d_MakeSegment(L,-10,20); in gpTest30()
2327 Handle(Geom2d_TrimmedCurve) aLine = GCE2d_MakeSegment(L,-2,20); in gpTest31()
3965 …DisplayCurve(aDoc,GCE2d_MakeSegment(gp_Pnt2d(aCXmin,aCYmax),gp_Pnt2d(aCXmax,aCYmax)).Value() ,4); … in gpTest48()
3966 …DisplayCurve(aDoc,GCE2d_MakeSegment(gp_Pnt2d(aCXmin,aCYmin),gp_Pnt2d(aCXmax,aCYmin)).Value() ,4); … in gpTest48()
[all …]
/dports/cad/opencascade/opencascade-7.6.0/src/BRepMAT2d/
H A DBRepMAT2d_Explorer.cxx623 return GCE2d_MakeSegment(theP, aP); in AdjustCurveEnd()
628 return GCE2d_MakeSegment(aP, theP); in AdjustCurveEnd()
/dports/devel/upp/upp/bazaar/OCETest/
H A DMakeBottle.cpp184 Handle(Geom2d_TrimmedCurve) aSegment = GCE2d_MakeSegment(anEllipsePnt1 , anEllipsePnt2); in MakeBottle()
/dports/cad/opencascade/opencascade-7.6.0/samples/OCCTOverview/code/
H A DMakeBottle.cxx191 Handle(Geom2d_TrimmedCurve) aSegment = GCE2d_MakeSegment(anEllipsePnt1, anEllipsePnt2); in MakeBottle()
/dports/cad/opencascade/opencascade-7.6.0/samples/qt/Tutorial/src/
H A DMakeBottle.cxx165 Handle(Geom2d_TrimmedCurve) aSegment = GCE2d_MakeSegment(anEllipsePnt1, anEllipsePnt2); in MakeBottle()
/dports/cad/opencascade/opencascade-7.6.0/src/StdPrs/
H A DStdPrs_BRepFont.cxx514 … Handle(Geom2d_TrimmedCurve) aLine = GCE2d_MakeSegment (gp_Pnt2d (aPntLine1), gp_Pnt2d (aPntCurr)); in renderGlyph()
607 Handle(Geom2d_TrimmedCurve) aLine = GCE2d_MakeSegment (aLastPnt, aFirstPnt); in renderGlyph()
/dports/cad/opencascade/opencascade-7.6.0/src/Bisector/
H A DBisector_Bisec.cxx120 afirstcurve1 = GCE2d_MakeSegment(aBS->Pole(1), aBS->Pole(2)).Value(); in Perform()
143 asecondcurve1 = GCE2d_MakeSegment(aBS->Pole(1), aBS->Pole(2)).Value(); in Perform()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepClass/
H A DBRepClass_Intersector.cxx304 GCE2d_MakeSegment aMkSeg(aP1, aP2); in CheckSkip()
/dports/cad/opencascade/opencascade-7.6.0/src/MAT2d/
H A DMAT2d_Circuit.cxx195 edge = GCE2d_MakeSegment(Road.Path().Value(i)->PointOnFirst(), in Perform()
/dports/cad/opencascade/opencascade-7.6.0/adm/wnt/cbp/
H A DTKGeomBase_obj.link1 …/gcc/obj/src/GCE2d/GCE2d_MakeScale.o ../../../wnt/gcc/obj/src/GCE2d/GCE2d_MakeSegment.o ../../../w…
H A DTKGeomBase_objd.link1 …cc/objd/src/GCE2d/GCE2d_MakeScale.o ../../../wnt/gcc/objd/src/GCE2d/GCE2d_MakeSegment.o ../../../w…
/dports/cad/opencascade/opencascade-7.6.0/samples/mfc/standard/02_Modeling/src/
H A DModelingDoc.cpp5005 C2 = GCE2d_MakeSegment(C1->Value(C1->FirstParameter()), in InputEvent()
5008 C4 = GCE2d_MakeSegment(C1->Value(C1->LastParameter()), in InputEvent()
5017 C2 = GCE2d_MakeSegment(C1->Value(C1->LastParameter()), in InputEvent()
5020 C4 = GCE2d_MakeSegment(C3->Value(C3->LastParameter()), in InputEvent()
/dports/cad/opencascade/opencascade-7.6.0/dox/tutorial/
H A Dtutorial.md618 Handle(Geom2d_TrimmedCurve) aSegment = GCE2d_MakeSegment(anEllipsePnt1, anEllipsePnt2);
820 Handle(Geom2d_TrimmedCurve) aSegment = GCE2d_MakeSegment(anEllipsePnt1, anEllipsePnt2);
/dports/cad/opencascade/opencascade-7.6.0/adm/mac/xcd/TKGeomBase.xcodeproj/
H A Dproject.pbxproj501 …KnownFileType = sourcecode.cpp.cpp; name = GCE2d_MakeSegment.cxx; path = ../../../src/GCE2d/GCE2d_…
/dports/cad/netgen/netgen-6.2.2105/libsrc/occ/
H A Dpython_occ_shapes.cpp1794 return Handle(Geom2d_TrimmedCurve)(GCE2d_MakeSegment(p1, p2)); in ExportNgOCCShapes()
/dports/cad/opencascade/opencascade-7.6.0/src/QABugs/
H A DQABugs_19.cxx98 GCE2d_MakeSegment MakeSegment(P1,P2); in OCC230()
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/
H A Dsymbols_mangled_win.dat31759 ??0GCE2d_MakeSegment@@QEAA@AEBVgp_Lin2d@@AEBVgp_Pnt2d@@1@Z
31760 ??0GCE2d_MakeSegment@@QEAA@AEBVgp_Lin2d@@AEBVgp_Pnt2d@@N@Z
31761 ??0GCE2d_MakeSegment@@QEAA@AEBVgp_Lin2d@@NN@Z
31762 ??0GCE2d_MakeSegment@@QEAA@AEBVgp_Pnt2d@@0@Z
31763 ??0GCE2d_MakeSegment@@QEAA@AEBVgp_Pnt2d@@AEBVgp_Dir2d@@0@Z
33960 ?Value@GCE2d_MakeSegment@@QEBAAEBV?$handle@VGeom2d_TrimmedCurve@@@opencascade@@XZ